Bug 1012457 - [Usability] Show HornetQ server name in header for messaging related settings
[Usability] Show HornetQ server name in header for messaging related settings
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 09:47 EDT by Martin Svehla
Modified: 2015-02-01 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 02:44:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-09-26 09:47:17 EDT
Description of problem:
In Profile -> Messaging -> * settings, user has to select HornetQ server she wants to configure first. It would be nice to show selected server name in subsequent HornetQ settings pages in either page header or browser title bar. Right now the selected server name is only visible in browser's address bar.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3
Comment 1 Harald Pehl 2013-11-21 17:19:28 EST
What navigation point do you refer to? What do you mean by "Profile > Messaging > *"? Are you referring to "/profile=full/subsystem=messaging/hornetq-server=default"?
Comment 2 Martin Svehla 2013-11-22 02:44:49 EST
Harald,

Sorry for the confusion, I'm closing this as notabug. I was typing this answer to explain what I meant, but just noticed the info is actually there.

By '*' I meant anything under Profile -> Messaging. In any of these (Connections, Clustering, Destinations) I need to select HornetQ instance to configure (there's only one in default configuration named "default", which is /subsystem=messaging/hornetq-server=default). I thought the selection wasn't displayed in subsequent pages, but it's in the form header (as "Provider default").

Note You need to log in before you can comment on or make changes to this bug.